> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Retrieve

GET https://restapi.ordergroove.com/items/{item_id}/

Returns a single item by its unique identifier.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/items/retrieve

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /items/{item_id}/:
    get:
      operationId: retrieve
      summary: Retrieve
      description: Returns a single item by its unique identifier.
      tags:
        - items
      parameters:
        - name: item_id
          in: path
          description: Unique item ID
          required: true
          schema:
            type: string
        - name: omit_price_calculation
          in: query
          description: >-
            If True, Ordergroove will omit the `price`, `total_cost`, and
            `extra_cost` fields from the Response Body. This can significantly
            improve performance in some scenarios.
          required: false
          schema:
            type: boolean
            default: false
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items_retrieve_Response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items-retrieveRequestForbiddenError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items-retrieveRequestNotFoundError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf0ComponentsItems:
      type: object
      properties: {}
      title: ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf0ComponentsItems
    ItemsRetrieveResponse2000:
      type: object
      properties:
        order:
          type: string
        offer:
          description: Any type
        subscription:
          type: string
        product:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf0ComponentsItems
        subscription_component:
          type: string
        quantity:
          type: integer
          default: 0
        public_id:
          type: string
        product_attribute:
          description: Any type
        price:
          type: string
        extra_cost:
          type: string
        total_price:
          type: string
        one_time:
          type: boolean
          default: true
        order_updated:
          type: string
        frozen:
          type: boolean
          default: true
        first_placed:
          description: Any type
      title: ItemsRetrieveResponse2000
    ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf1ComponentsItems:
      type: object
      properties: {}
      title: ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf1ComponentsItems
    ItemsRetrieveResponse2001:
      type: object
      properties:
        order:
          type: string
        offer:
          description: Any type
        subscription:
          type: string
        product:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/ItemsItemIdGetResponsesContentApplicationJsonSchemaOneOf1ComponentsItems
        subscription_component:
          type: string
        quantity:
          type: integer
          default: 0
        public_id:
          type: string
        product_attribute:
          description: Any type
        one_time:
          type: boolean
          default: true
        order_updated:
          type: string
        frozen:
          type: boolean
          default: true
        first_placed:
          description: Any type
      title: ItemsRetrieveResponse2001
    Items_retrieve_Response_200:
      oneOf:
        - $ref: '#/components/schemas/ItemsRetrieveResponse2000'
        - $ref: '#/components/schemas/ItemsRetrieveResponse2001'
      title: Items_retrieve_Response_200
    Items-retrieveRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Items-retrieveRequestForbiddenError
    Items-retrieveRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Items-retrieveRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples

### Result



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/items/item_id/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/items/item_id/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/item_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/item_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/items/item_id/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/items/item_id/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/item_id/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/item_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Omit Pricing



**Response**

```json
{}
```

**SDK Code**

```python Omit Pricing
import requests

url = "https://restapi.ordergroove.com/items/item_id/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Omit Pricing
const url = 'https://restapi.ordergroove.com/items/item_id/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Omit Pricing
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/item_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Omit Pricing
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/item_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Omit Pricing
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/items/item_id/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Omit Pricing
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/items/item_id/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Omit Pricing
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/item_id/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Omit Pricing
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/item_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```